Subject: RE: [MMUSIC] Interworking ICE/SBC

From: <[email-masked]>
Date: Tue, 10 Oct 2006 12:21:29 +0100 (BST)

If I understand your situation (please forgive me if I mis-understand or have made an assumption), there are 2 issue's here?

1). Ensuring media correctly flows through an SBC when it wishes it to do so. Even in ICE environments? 
Here the discussions about "ICE and open internet devices" come into play. These discussions, I believe, are definitely the right way to go, especially the "passive client" concepts (be the role signaled or discovered).

2). SBC's (e.g.) ability to detect ICE capability of UAs? 
At present ICE capability is restricted to the actual offer/answer exchange. If a UA's ICE capability could be discovered by some other means (REGISTER or OPTIONS flag) then a network device could make a per call decision on whether to take the media; rather than an all or nothing approach. One issue with these discovery mechanisms, is unless they are required (MUSTs) then they are all but useless. Does the absence of the flag indicate no support of ICE or just no supporting of ICE capability advertisement? However I guess the other issue is these mechanisms would be specific to the signaling protocol delivering the offer/answer.

Cheers,

Pete L.

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic